Skip to content

What are the myLeo Online (D2L Brightspace) platform requirements?

  1. Recommended browsers are Google Chrome and Mozilla Firefox.
  2. Keep your browser updated if possible.
  3. On this page there is a word document called “Platform_Requirements.doc”. Click it for more information
Navigate This Page